1. Packages
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. oci
  6. getMulticloudMulticloudalerts
Viewing docs for Oracle Cloud Infrastructure v4.15.0
published on Thursday, Jun 11, 2026 by Pulumi
oci logo
Viewing docs for Oracle Cloud Infrastructure v4.15.0
published on Thursday, Jun 11, 2026 by Pulumi

    This Data Source is currently in preview.

    This data source provides the list of Multicloudalerts in Oracle Cloud Infrastructure Multicloud service.

    Gets a list of Multicloud Alerts for a given root compartment. Optional query parameters can be used to filter alerts by resource, subscription, severity, lifecycle state, and alert status.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testMulticloudalerts = oci.oci.getMulticloudMulticloudalerts({
        compartmentId: compartmentId,
        alertFunctionName: testFunction.name,
        alertStatus: multicloudalertAlertStatus,
        alertType: multicloudalertAlertType,
        displayName: multicloudalertDisplayName,
        resourceId: testResource.id,
        resourceType: multicloudalertResourceType,
        severity: multicloudalertSeverity,
        subscriptionId: testSubscription.id,
        subscriptionServiceName: testService.name,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_multicloudalerts = oci.oci.get_multicloud_multicloudalerts(compartment_id=compartment_id,
        alert_function_name=test_function["name"],
        alert_status=multicloudalert_alert_status,
        alert_type=multicloudalert_alert_type,
        display_name=multicloudalert_display_name,
        resource_id=test_resource["id"],
        resource_type=multicloudalert_resource_type,
        severity=multicloudalert_severity,
        subscription_id=test_subscription["id"],
        subscription_service_name=test_service["name"])
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/oci"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := oci.GetMulticloudMulticloudalerts(ctx, &oci.GetMulticloudMulticloudalertsArgs{
    			CompartmentId:           compartmentId,
    			AlertFunctionName:       pulumi.StringRef(testFunction.Name),
    			AlertStatus:             pulumi.StringRef(multicloudalertAlertStatus),
    			AlertType:               pulumi.StringRef(multicloudalertAlertType),
    			DisplayName:             pulumi.StringRef(multicloudalertDisplayName),
    			ResourceId:              pulumi.StringRef(testResource.Id),
    			ResourceType:            pulumi.StringRef(multicloudalertResourceType),
    			Severity:                pulumi.StringRef(multicloudalertSeverity),
    			SubscriptionId:          pulumi.StringRef(testSubscription.Id),
    			SubscriptionServiceName: pulumi.StringRef(testService.Name),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testMulticloudalerts = Oci.Oci.GetMulticloudMulticloudalerts.Invoke(new()
        {
            CompartmentId = compartmentId,
            AlertFunctionName = testFunction.Name,
            AlertStatus = multicloudalertAlertStatus,
            AlertType = multicloudalertAlertType,
            DisplayName = multicloudalertDisplayName,
            ResourceId = testResource.Id,
            ResourceType = multicloudalertResourceType,
            Severity = multicloudalertSeverity,
            SubscriptionId = testSubscription.Id,
            SubscriptionServiceName = testService.Name,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.oci.OciFunctions;
    import com.pulumi.oci.oci.inputs.GetMulticloudMulticloudalertsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testMulticloudalerts = OciFunctions.getMulticloudMulticloudalerts(GetMulticloudMulticloudalertsArgs.builder()
                .compartmentId(compartmentId)
                .alertFunctionName(testFunction.name())
                .alertStatus(multicloudalertAlertStatus)
                .alertType(multicloudalertAlertType)
                .displayName(multicloudalertDisplayName)
                .resourceId(testResource.id())
                .resourceType(multicloudalertResourceType)
                .severity(multicloudalertSeverity)
                .subscriptionId(testSubscription.id())
                .subscriptionServiceName(testService.name())
                .build());
    
        }
    }
    
    variables:
      testMulticloudalerts:
        fn::invoke:
          function: oci:oci:getMulticloudMulticloudalerts
          arguments:
            compartmentId: ${compartmentId}
            alertFunctionName: ${testFunction.name}
            alertStatus: ${multicloudalertAlertStatus}
            alertType: ${multicloudalertAlertType}
            displayName: ${multicloudalertDisplayName}
            resourceId: ${testResource.id}
            resourceType: ${multicloudalertResourceType}
            severity: ${multicloudalertSeverity}
            subscriptionId: ${testSubscription.id}
            subscriptionServiceName: ${testService.name}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_oci_getmulticloudmulticloudalerts" "testMulticloudalerts" {
      compartment_id            = compartmentId
      alert_function_name       = testFunction.name
      alert_status              = multicloudalertAlertStatus
      alert_type                = multicloudalertAlertType
      display_name              = multicloudalertDisplayName
      resource_id               = testResource.id
      resource_type             = multicloudalertResourceType
      severity                  = multicloudalertSeverity
      subscription_id           = testSubscription.id
      subscription_service_name = testService.name
    }
    

    Using getMulticloudMulticloudalerts

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getMulticloudMulticloudalerts(args: GetMulticloudMulticloudalertsArgs, opts?: InvokeOptions): Promise<GetMulticloudMulticloudalertsResult>
    function getMulticloudMulticloudalertsOutput(args: GetMulticloudMulticloudalertsOutputArgs, opts?: InvokeOptions): Output<GetMulticloudMulticloudalertsResult>
    def get_multicloud_multicloudalerts(alert_function_name: Optional[str] = None,
                                        alert_status: Optional[str] = None,
                                        alert_type: Optional[str] = None,
                                        compartment_id: Optional[str] = None,
                                        display_name: Optional[str] = None,
                                        filters: Optional[Sequence[GetMulticloudMulticloudalertsFilter]] = None,
                                        limit: Optional[int] = None,
                                        resource_id: Optional[str] = None,
                                        resource_type: Optional[str] = None,
                                        severity: Optional[str] = None,
                                        subscription_id: Optional[str] = None,
                                        subscription_service_name: Optional[str] = None,
                                        opts: Optional[InvokeOptions] = None) -> GetMulticloudMulticloudalertsResult
    def get_multicloud_multicloudalerts_output(alert_function_name: pulumi.Input[Optional[str]] = None,
                                        alert_status: pulumi.Input[Optional[str]] = None,
                                        alert_type: pulumi.Input[Optional[str]] = None,
                                        compartment_id: pulumi.Input[Optional[str]] = None,
                                        display_name: pulumi.Input[Optional[str]] = None,
                                        filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetMulticloudMulticloudalertsFilterArgs]]]] = None,
                                        limit: pulumi.Input[Optional[int]] = None,
                                        resource_id: pulumi.Input[Optional[str]] = None,
                                        resource_type: pulumi.Input[Optional[str]] = None,
                                        severity: pulumi.Input[Optional[str]] = None,
                                        subscription_id: pulumi.Input[Optional[str]] = None,
                                        subscription_service_name: pulumi.Input[Optional[str]] = None,
                                        opts: Optional[InvokeOptions] = None) -> Output[GetMulticloudMulticloudalertsResult]
    func GetMulticloudMulticloudalerts(ctx *Context, args *GetMulticloudMulticloudalertsArgs, opts ...InvokeOption) (*GetMulticloudMulticloudalertsResult, error)
    func GetMulticloudMulticloudalertsOutput(ctx *Context, args *GetMulticloudMulticloudalertsOutputArgs, opts ...InvokeOption) GetMulticloudMulticloudalertsResultOutput

    > Note: This function is named GetMulticloudMulticloudalerts in the Go SDK.

    public static class GetMulticloudMulticloudalerts 
    {
        public static Task<GetMulticloudMulticloudalertsResult> InvokeAsync(GetMulticloudMulticloudalertsArgs args, InvokeOptions? opts = null)
        public static Output<GetMulticloudMulticloudalertsResult> Invoke(GetMulticloudMulticloudalertsInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetMulticloudMulticloudalertsResult> getMulticloudMulticloudalerts(GetMulticloudMulticloudalertsArgs args, InvokeOptions options)
    public static Output<GetMulticloudMulticloudalertsResult> getMulticloudMulticloudalerts(GetMulticloudMulticloudalertsArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:oci/getMulticloudMulticloudalerts:getMulticloudMulticloudalerts
      arguments:
        # arguments dictionary
    data "oci_oci_getmulticloudmulticloudalerts" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    The OCID of the compartment in which to list resources.
    AlertFunctionName string
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    AlertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    AlertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    DisplayName string
    A filter to return only resources that match the given display name exactly.
    Filters List<GetMulticloudMulticloudalertsFilter>
    Limit int
    ResourceId string
    Filter alerts associated with a specific resource OCID.
    ResourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    Severity string
    Filter alerts by severity.
    SubscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    SubscriptionServiceName string
    The cloud service provider.
    CompartmentId string
    The OCID of the compartment in which to list resources.
    AlertFunctionName string
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    AlertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    AlertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    DisplayName string
    A filter to return only resources that match the given display name exactly.
    Filters []GetMulticloudMulticloudalertsFilter
    Limit int
    ResourceId string
    Filter alerts associated with a specific resource OCID.
    ResourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    Severity string
    Filter alerts by severity.
    SubscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    SubscriptionServiceName string
    The cloud service provider.
    compartment_id string
    The OCID of the compartment in which to list resources.
    alert_function_name string
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    alert_status string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alert_type string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    display_name string
    A filter to return only resources that match the given display name exactly.
    filters list(object)
    limit number
    resource_id string
    Filter alerts associated with a specific resource OCID.
    resource_type string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity string
    Filter alerts by severity.
    subscription_id string
    The OCID of the Multicloud subscription in which to list resources.
    subscription_service_name string
    The cloud service provider.
    compartmentId String
    The OCID of the compartment in which to list resources.
    alertFunctionName String
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    alertStatus String
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType String
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    displayName String
    A filter to return only resources that match the given display name exactly.
    filters List<GetMulticloudMulticloudalertsFilter>
    limit Integer
    resourceId String
    Filter alerts associated with a specific resource OCID.
    resourceType String
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity String
    Filter alerts by severity.
    subscriptionId String
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionServiceName String
    The cloud service provider.
    compartmentId string
    The OCID of the compartment in which to list resources.
    alertFunctionName string
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    alertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    displayName string
    A filter to return only resources that match the given display name exactly.
    filters GetMulticloudMulticloudalertsFilter[]
    limit number
    resourceId string
    Filter alerts associated with a specific resource OCID.
    resourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity string
    Filter alerts by severity.
    subscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionServiceName string
    The cloud service provider.
    compartment_id str
    The OCID of the compartment in which to list resources.
    alert_function_name str
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    alert_status str
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alert_type str
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    display_name str
    A filter to return only resources that match the given display name exactly.
    filters Sequence[GetMulticloudMulticloudalertsFilter]
    limit int
    resource_id str
    Filter alerts associated with a specific resource OCID.
    resource_type str
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity str
    Filter alerts by severity.
    subscription_id str
    The OCID of the Multicloud subscription in which to list resources.
    subscription_service_name str
    The cloud service provider.
    compartmentId String
    The OCID of the compartment in which to list resources.
    alertFunctionName String
    Filter alerts generated by a specific internal component (e.g. MCL, BILLING, ORP).
    alertStatus String
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType String
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    displayName String
    A filter to return only resources that match the given display name exactly.
    filters List<Property Map>
    limit Number
    resourceId String
    Filter alerts associated with a specific resource OCID.
    resourceType String
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity String
    Filter alerts by severity.
    subscriptionId String
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionServiceName String
    The cloud service provider.

    getMulticloudMulticloudalerts Result

    The following output properties are available:

    CompartmentId string
    Root Compartment The OCID (TenantId) associated with the alert.
    Id string
    The provider-assigned unique ID for this managed resource.
    MulticloudAlertCollections List<GetMulticloudMulticloudalertsMulticloudAlertCollection>
    The list of multicloud_alert_collection.
    AlertFunctionName string
    AlertStatus string
    Current acknowledgment status of the alert.
    AlertType string
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    DisplayName string
    Human-readable name of the alert.
    Filters List<GetMulticloudMulticloudalertsFilter>
    Limit int
    ResourceId string
    The OCID of the affected resource.
    ResourceType string
    Type of the affected resource (e.g. ADBD).
    Severity string
    Severity of the alert.
    SubscriptionId string
    The OCID of the multicloud subscription.
    SubscriptionServiceName string
    CompartmentId string
    Root Compartment The OCID (TenantId) associated with the alert.
    Id string
    The provider-assigned unique ID for this managed resource.
    MulticloudAlertCollections []GetMulticloudMulticloudalertsMulticloudAlertCollection
    The list of multicloud_alert_collection.
    AlertFunctionName string
    AlertStatus string
    Current acknowledgment status of the alert.
    AlertType string
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    DisplayName string
    Human-readable name of the alert.
    Filters []GetMulticloudMulticloudalertsFilter
    Limit int
    ResourceId string
    The OCID of the affected resource.
    ResourceType string
    Type of the affected resource (e.g. ADBD).
    Severity string
    Severity of the alert.
    SubscriptionId string
    The OCID of the multicloud subscription.
    SubscriptionServiceName string
    compartment_id string
    Root Compartment The OCID (TenantId) associated with the alert.
    id string
    The provider-assigned unique ID for this managed resource.
    multicloud_alert_collections list(object)
    The list of multicloud_alert_collection.
    alert_function_name string
    alert_status string
    Current acknowledgment status of the alert.
    alert_type string
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    display_name string
    Human-readable name of the alert.
    filters list(object)
    limit number
    resource_id string
    The OCID of the affected resource.
    resource_type string
    Type of the affected resource (e.g. ADBD).
    severity string
    Severity of the alert.
    subscription_id string
    The OCID of the multicloud subscription.
    subscription_service_name string
    compartmentId String
    Root Compartment The OCID (TenantId) associated with the alert.
    id String
    The provider-assigned unique ID for this managed resource.
    multicloudAlertCollections List<GetMulticloudMulticloudalertsMulticloudAlertCollection>
    The list of multicloud_alert_collection.
    alertFunctionName String
    alertStatus String
    Current acknowledgment status of the alert.
    alertType String
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    displayName String
    Human-readable name of the alert.
    filters List<GetMulticloudMulticloudalertsFilter>
    limit Integer
    resourceId String
    The OCID of the affected resource.
    resourceType String
    Type of the affected resource (e.g. ADBD).
    severity String
    Severity of the alert.
    subscriptionId String
    The OCID of the multicloud subscription.
    subscriptionServiceName String
    compartmentId string
    Root Compartment The OCID (TenantId) associated with the alert.
    id string
    The provider-assigned unique ID for this managed resource.
    multicloudAlertCollections GetMulticloudMulticloudalertsMulticloudAlertCollection[]
    The list of multicloud_alert_collection.
    alertFunctionName string
    alertStatus string
    Current acknowledgment status of the alert.
    alertType string
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    displayName string
    Human-readable name of the alert.
    filters GetMulticloudMulticloudalertsFilter[]
    limit number
    resourceId string
    The OCID of the affected resource.
    resourceType string
    Type of the affected resource (e.g. ADBD).
    severity string
    Severity of the alert.
    subscriptionId string
    The OCID of the multicloud subscription.
    subscriptionServiceName string
    compartment_id str
    Root Compartment The OCID (TenantId) associated with the alert.
    id str
    The provider-assigned unique ID for this managed resource.
    multicloud_alert_collections Sequence[GetMulticloudMulticloudalertsMulticloudAlertCollection]
    The list of multicloud_alert_collection.
    alert_function_name str
    alert_status str
    Current acknowledgment status of the alert.
    alert_type str
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    display_name str
    Human-readable name of the alert.
    filters Sequence[GetMulticloudMulticloudalertsFilter]
    limit int
    resource_id str
    The OCID of the affected resource.
    resource_type str
    Type of the affected resource (e.g. ADBD).
    severity str
    Severity of the alert.
    subscription_id str
    The OCID of the multicloud subscription.
    subscription_service_name str
    compartmentId String
    Root Compartment The OCID (TenantId) associated with the alert.
    id String
    The provider-assigned unique ID for this managed resource.
    multicloudAlertCollections List<Property Map>
    The list of multicloud_alert_collection.
    alertFunctionName String
    alertStatus String
    Current acknowledgment status of the alert.
    alertType String
    Type/category of the alert (e.g. IAM_POLICY_GAP, TAG_INCONSISTENCY).
    displayName String
    Human-readable name of the alert.
    filters List<Property Map>
    limit Number
    resourceId String
    The OCID of the affected resource.
    resourceType String
    Type of the affected resource (e.g. ADBD).
    severity String
    Severity of the alert.
    subscriptionId String
    The OCID of the multicloud subscription.
    subscriptionServiceName String

    Supporting Types

    GetMulticloudMulticloudalertsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetMulticloudMulticloudalertsMulticloudAlertCollection

    items list(object)
    List of MulticloudAlertSummary.
    items List<Property Map>
    List of MulticloudAlertSummary.

    GetMulticloudMulticloudalertsMulticloudAlertCollectionItem

    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    LifecycleState string
    The current state of the Multicloud Network Alert.
    MulticloudAlerts List<GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert>
    List of Multicloud Alerts.
    MulticloudalertCount int
    Total number of alerts
    SystemTags Dictionary<string, string>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    LifecycleState string
    The current state of the Multicloud Network Alert.
    MulticloudAlerts []GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert
    List of Multicloud Alerts.
    MulticloudalertCount int
    Total number of alerts
    SystemTags map[string]string
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    lifecycle_state string
    The current state of the Multicloud Network Alert.
    multicloud_alerts list(object)
    List of Multicloud Alerts.
    multicloudalert_count number
    Total number of alerts
    system_tags map(string)
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    lifecycleState String
    The current state of the Multicloud Network Alert.
    multicloudAlerts List<GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert>
    List of Multicloud Alerts.
    multicloudalertCount Integer
    Total number of alerts
    systemTags Map<String,String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    lifecycleState string
    The current state of the Multicloud Network Alert.
    multicloudAlerts GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert[]
    List of Multicloud Alerts.
    multicloudalertCount number
    Total number of alerts
    systemTags {[key: string]: string}
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    lifecycle_state str
    The current state of the Multicloud Network Alert.
    multicloud_alerts Sequence[GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert]
    List of Multicloud Alerts.
    multicloudalert_count int
    Total number of alerts
    system_tags Mapping[str, str]
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    lifecycleState String
    The current state of the Multicloud Network Alert.
    multicloudAlerts List<Property Map>
    List of Multicloud Alerts.
    multicloudalertCount Number
    Total number of alerts
    systemTags Map<String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}

    GetMulticloudMulticloudalertsMulticloudAlertCollectionItemMulticloudAlert

    AdditionalParameters Dictionary<string, string>
    Alert-specific contextual parameters.
    AlertId string
    External or human-friendly alert identifier.
    AlertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    AlertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    CompartmentId string
    The OCID of the compartment in which to list resources.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    Description string
    Description of the alert and its purpose.
    DisplayName string
    A filter to return only resources that match the given display name exactly.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    FunctionType string
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    Id string
    The OCID of the multicloud alert.
    LifecycleState string
    The current state of the Multicloud Network Alert.
    ResourceId string
    Filter alerts associated with a specific resource OCID.
    ResourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    Severity string
    Filter alerts by severity.
    Source string
    Source subsystem that generated the alert. (Azure Tag Validation)
    SourceRegion string
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    SubscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    SubscriptionType string
    Oracle Cloud Infrastructure Subscription Type.
    SystemTags Dictionary<string, string>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    TimeCreated string
    Timestamp when the alert was created.
    TimeUpdated string
    Timestamp when the alert was last updated.
    AdditionalParameters map[string]string
    Alert-specific contextual parameters.
    AlertId string
    External or human-friendly alert identifier.
    AlertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    AlertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    CompartmentId string
    The OCID of the compartment in which to list resources.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    Description string
    Description of the alert and its purpose.
    DisplayName string
    A filter to return only resources that match the given display name exactly.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    FunctionType string
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    Id string
    The OCID of the multicloud alert.
    LifecycleState string
    The current state of the Multicloud Network Alert.
    ResourceId string
    Filter alerts associated with a specific resource OCID.
    ResourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    Severity string
    Filter alerts by severity.
    Source string
    Source subsystem that generated the alert. (Azure Tag Validation)
    SourceRegion string
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    SubscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    SubscriptionType string
    Oracle Cloud Infrastructure Subscription Type.
    SystemTags map[string]string
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    TimeCreated string
    Timestamp when the alert was created.
    TimeUpdated string
    Timestamp when the alert was last updated.
    additional_parameters map(string)
    Alert-specific contextual parameters.
    alert_id string
    External or human-friendly alert identifier.
    alert_status string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alert_type string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    compartment_id string
    The OCID of the compartment in which to list resources.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    description string
    Description of the alert and its purpose.
    display_name string
    A filter to return only resources that match the given display name exactly.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    function_type string
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    id string
    The OCID of the multicloud alert.
    lifecycle_state string
    The current state of the Multicloud Network Alert.
    resource_id string
    Filter alerts associated with a specific resource OCID.
    resource_type string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity string
    Filter alerts by severity.
    source string
    Source subsystem that generated the alert. (Azure Tag Validation)
    source_region string
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    subscription_id string
    The OCID of the Multicloud subscription in which to list resources.
    subscription_type string
    Oracle Cloud Infrastructure Subscription Type.
    system_tags map(string)
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    time_created string
    Timestamp when the alert was created.
    time_updated string
    Timestamp when the alert was last updated.
    additionalParameters Map<String,String>
    Alert-specific contextual parameters.
    alertId String
    External or human-friendly alert identifier.
    alertStatus String
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType String
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    compartmentId String
    The OCID of the compartment in which to list resources.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    description String
    Description of the alert and its purpose.
    displayName String
    A filter to return only resources that match the given display name exactly.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    functionType String
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    id String
    The OCID of the multicloud alert.
    lifecycleState String
    The current state of the Multicloud Network Alert.
    resourceId String
    Filter alerts associated with a specific resource OCID.
    resourceType String
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity String
    Filter alerts by severity.
    source String
    Source subsystem that generated the alert. (Azure Tag Validation)
    sourceRegion String
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    subscriptionId String
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionType String
    Oracle Cloud Infrastructure Subscription Type.
    systemTags Map<String,String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated String
    Timestamp when the alert was created.
    timeUpdated String
    Timestamp when the alert was last updated.
    additionalParameters {[key: string]: string}
    Alert-specific contextual parameters.
    alertId string
    External or human-friendly alert identifier.
    alertStatus string
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType string
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    compartmentId string
    The OCID of the compartment in which to list resources.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    description string
    Description of the alert and its purpose.
    displayName string
    A filter to return only resources that match the given display name exactly.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    functionType string
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    id string
    The OCID of the multicloud alert.
    lifecycleState string
    The current state of the Multicloud Network Alert.
    resourceId string
    Filter alerts associated with a specific resource OCID.
    resourceType string
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity string
    Filter alerts by severity.
    source string
    Source subsystem that generated the alert. (Azure Tag Validation)
    sourceRegion string
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    subscriptionId string
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionType string
    Oracle Cloud Infrastructure Subscription Type.
    systemTags {[key: string]: string}
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated string
    Timestamp when the alert was created.
    timeUpdated string
    Timestamp when the alert was last updated.
    additional_parameters Mapping[str, str]
    Alert-specific contextual parameters.
    alert_id str
    External or human-friendly alert identifier.
    alert_status str
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alert_type str
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    compartment_id str
    The OCID of the compartment in which to list resources.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    description str
    Description of the alert and its purpose.
    display_name str
    A filter to return only resources that match the given display name exactly.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    function_type str
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    id str
    The OCID of the multicloud alert.
    lifecycle_state str
    The current state of the Multicloud Network Alert.
    resource_id str
    Filter alerts associated with a specific resource OCID.
    resource_type str
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity str
    Filter alerts by severity.
    source str
    Source subsystem that generated the alert. (Azure Tag Validation)
    source_region str
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    subscription_id str
    The OCID of the Multicloud subscription in which to list resources.
    subscription_type str
    Oracle Cloud Infrastructure Subscription Type.
    system_tags Mapping[str, str]
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    time_created str
    Timestamp when the alert was created.
    time_updated str
    Timestamp when the alert was last updated.
    additionalParameters Map<String>
    Alert-specific contextual parameters.
    alertId String
    External or human-friendly alert identifier.
    alertStatus String
    Filter alerts by alert status. User interaction: ACKNOWLEDGED, UNACKNOWLEDGED System lifecycle: RESOLVED
    alertType String
    Filter alerts by alert type (e.g. IAM_POLICY_GAP).
    compartmentId String
    The OCID of the compartment in which to list resources.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"Operations.CostCenter": "42"}
    description String
    Description of the alert and its purpose.
    displayName String
    A filter to return only resources that match the given display name exactly.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    functionType String
    Internal service or function type generating the alert (e.g. ORP, ODBG_NETWORK, BILLING, OBSERVABILITY).
    id String
    The OCID of the multicloud alert.
    lifecycleState String
    The current state of the Multicloud Network Alert.
    resourceId String
    Filter alerts associated with a specific resource OCID.
    resourceType String
    Filter alerts by resource type (e.g. ADBD, VMCluster).
    severity String
    Filter alerts by severity.
    source String
    Source subsystem that generated the alert. (Azure Tag Validation)
    sourceRegion String
    Oracle Cloud Infrastructure region where the alert originated (e.g. us-phoenix-1)
    subscriptionId String
    The OCID of the Multicloud subscription in which to list resources.
    subscriptionType String
    Oracle Cloud Infrastructure Subscription Type.
    systemTags Map<String>
    System tags for this resource. Each key is predefined and scoped to a namespace. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated String
    Timestamp when the alert was created.
    timeUpdated String
    Timestamp when the alert was last updated.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Viewing docs for Oracle Cloud Infrastructure v4.15.0
    published on Thursday, Jun 11, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial